
import App from './App'
import router from './router'
import KS_Components from './ks-components'
import UserComponents from './pages/user/components'
import 'swiper/dist/css/swiper.css'
import { swiper, swiperSlide } from 'vue-awesome-swiper'
import Vant from 'vant';
import 'vant/lib/index.css';
const mobile = {
    install(Vue){
        return new Promise(resolve=>{
            Vue.use(UserComponents)
            Vue.use(KS_Components)
            Vue.use(Vant)
            Vue.component('swiper',swiper)
            Vue.component('swiperSlide',swiperSlide)
            resolve()
        })
    },
    App,
    router
}
export default mobile